#!/bin/bash
sudo apt-get install cmake libarchive-tools
git clone https://github.com/vitasdk/vdpm ~/vdpm
cd ~/vdpm
./bootstrap-vitasdk.sh
export PATH=$VITASDK/bin:$PATH

git clone https://github.com/vitasdk/packages.git ~/vitapackages
cd ~/vitapackages

dir_array=(
  zlib  
  bzip2
  libzip
  libpng
  libexif
  libjpeg-turbo
  jansson
  yaml-cpp
  freetype
  harfbuzz
  fftw
  libvita2d
  libvita2d_ext
  libmad
  libogg
  libvorbis
  flac
  libtheora
  libtremor
  libmikmod
  libftpvita
  henkaku
  taihen
  kubridge
  libk
  libdebugnet
  onigmo
  libwebp
  sdl
  sdl_image
  sdl_mixer
  sdl_net
  sdl_ttf
  sdl_gfx
  sdl2
  sdl2_image
  sdl2_mixer
  sdl2_net
  sdl2_ttf
  sdl2_gfx
  openal-soft
  openssl
  curl
  curlpp
  expat
  opus
  opusfile
  unrar
  glm
  libxml2
  speexdsp
  pixman
  TinyGL
  kuio #Issues
  taipool
  mpg123
  libmpeg2
  soloud
  quirc
  Box2D
  libsndfile
  xz
  libarchive
  bullet
  libimagequant
  libmodplug
  libconfig
  libsodium
  vitaShaRK
  libmathneon
  vitaGL
  imgui
  imgui-vita2d
  libbaremetal
  minizip
  jsoncpp
  lame
  ffmpeg
  physfs
  vita-rss-libdl
  luajit
  tinyxml2
  cpython
  asio
  assimp
  opensles
  cpr
  libintl
  libopenmpt
  libvpx
  zstd
  libpcre2
  fribidi
  libass
  websocketpp
  wslay
  SceShaccCgExt
  boost
  pib
)

curdir=$(pwd)
for d in "${dir_array[@]}";do
  echo "${curdir}${d}"
  cd "${curdir}/${d}"
  vita-makepkg -C -f -d
  tar -C $VITASDK/arm-vita-eabi/ -xvf *-arm.tar.xz
done